Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class NodeSortRecord

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.NodeSortRecord

public abstract class NodeSortRecord
extends java.lang.Object

Base class for sort records containing application specific sort keys

Field Summary
`static int` | `COMPARE_ASCENDING`
`static int` | `COMPARE_DESCENDING`
`static int` | `COMPARE_NUMERIC`
`static int` | `COMPARE_STRING`

Constructor Summary
`NodeSortRecord()`
`NodeSortRecord(int node)` This constructor is run by a call to Class.forName() in the makeNodeSortRecord method in the NodeSortRecordFactory class.

Method Summary
`int` | `compareDocOrder(NodeSortRecord other)`
`int` | `compareTo(NodeSortRecord other)` Compare this sort element to another.
`abstract java.lang.String` | `extractValueFromDOM(DOM dom, int current, int level, AbstractTranslet translet, int last)` Extract the sort value for a level of this key.
`java.text.Collator` | `getCollator()` Returns the Collator used for text comparisons in this object.
`int` | `getNode()` Returns the node for this sort object
`void` | `initialize(int node, int last, DOM dom, AbstractTranslet translet, int[] order, int[] type)` This method allows the caller to set the values that could not be passed to the default constructor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPARE_STRING

    public static int COMPARE_STRING

### COMPARE_NUMERIC

    public static int COMPARE_NUMERIC

### COMPARE_ASCENDING

    public static int COMPARE_ASCENDING

### COMPARE_DESCENDING

    public static int COMPARE_DESCENDING

Constructor Detail

### NodeSortRecord

    public NodeSortRecord(int node)

  This constructor is run by a call to Class.forName() in the makeNodeSortRecord method in the NodeSortRecordFactory class. Since we cannot pass any parameters to the constructor in that case we just set the default values here and wait for new values through initialize().

### NodeSortRecord

    public NodeSortRecord()

Method Detail

### initialize

    public final void initialize(int node,
                                 int last,
                                 DOM dom,
                                 AbstractTranslet translet,
                                 int[] order,
                                 int[] type)

  This method allows the caller to set the values that could not be passed to the default constructor.

### getNode

    public final int getNode()

  Returns the node for this sort object

### compareDocOrder

    public final int compareDocOrder(NodeSortRecord other)

### compareTo

    public int compareTo(NodeSortRecord other)

  Compare this sort element to another. The first level is checked first, and we proceed to the next level only if the first level keys are identical (and so the key values may not even be extracted from the DOM) !!!!MUST OPTIMISE - THIS IS REALLY, REALLY SLOW!!!!

### getCollator

    public java.text.Collator getCollator()

  Returns the Collator used for text comparisons in this object. May be overridden by inheriting classes

### extractValueFromDOM

    public abstract java.lang.String extractValueFromDOM(DOM dom,
                                                         int current,
                                                         int level,
                                                         AbstractTranslet translet,
                                                         int last)

  Extract the sort value for a level of this key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.